Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### ++ (increment)

Examples

    int a = 1;   // Sets "a" to 1
    int b = a++; // Sets "b" to 1, then increments "a" to 2
    int c = a;   // Sets "c" to 2

Description | Increases the value of an integer variable by 1. Equivalent to the operation i = i + 1. If the value of the variable i is five, then the expression i++ increases the value of i to 6.

Syntax

    value++

Parameters

value | int

Usage | Web & Application
Related | + (add) += (add assign) -- (decrement)

Updated on November 22, 2008 08:39:26pm PST